<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Page</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <header>
        <h1>Admin Page</h1>
    </header>
    <main>
        <section>
            <h2>User Management</h2>
            <table id="userTable">
                <tr>
                    <th>Username</th>
                    <th>Action</th>
                </tr>
                <tr>
                    <td>Henk</td>
                    <td><button onclick="deleteUser(this)">Delete</button></td>
                </tr>
            </table>
        </section>
    </main>
    <footer>
        <p>&copy; 2024 Jointcyberrange. All rights reserved.</p>
    </footer>
    <script>
        function deleteUser(button) {
            // Remove the row
            var row = button.parentNode.parentNode;
            row.parentNode.removeChild(row);

            // Show the flag
            alert('Flag: JCR{YouHaveHackedJCR}');
        }
    </script>
</body>
</html>
